org.icefaces.ace.component.combobox

## Enum ComboBoxBase.PropertyKeys

- java.lang.Object
- - java.lang.Enum<ComboBoxBase.PropertyKeys>
  - - org.icefaces.ace.component.combobox.ComboBoxBase.PropertyKeys

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ComboBoxBase.PropertyKeys>
  Enclosing class:
    ComboBoxBase

      protected static enum ComboBoxBase.PropertyKeys
      extends java.lang.Enum<ComboBoxBase.PropertyKeys>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `caseSensitive`
    `delay`
    `filterMatchMode`
    `height`
    `hideEffect`
    `hideEffectLength`
    `indicatorPosition`
    `itemDisabled`
    `itemList`
    `itemValue`
    `labelPosition`
    `listValue`
    `listVar`
    `minChars`
    `optionalIndicator`
    `requiredIndicator`
    `rows`
    `showEffect`
    `showEffectLength`
    `showListOnInput`
    `width`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static ComboBoxBase.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ComboBoxBase.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### caseSensitive

          public static final ComboBoxBase.PropertyKeys caseSensitive

    - #### delay

          public static final ComboBoxBase.PropertyKeys delay

    - #### filterMatchMode

          public static final ComboBoxBase.PropertyKeys filterMatchMode

    - #### height

          public static final ComboBoxBase.PropertyKeys height

    - #### hideEffect

          public static final ComboBoxBase.PropertyKeys hideEffect

    - #### hideEffectLength

          public static final ComboBoxBase.PropertyKeys hideEffectLength

    - #### indicatorPosition

          public static final ComboBoxBase.PropertyKeys indicatorPosition

    - #### itemDisabled

          public static final ComboBoxBase.PropertyKeys itemDisabled

    - #### itemValue

          public static final ComboBoxBase.PropertyKeys itemValue

    - #### labelPosition

          public static final ComboBoxBase.PropertyKeys labelPosition

    - #### listValue

          public static final ComboBoxBase.PropertyKeys listValue

    - #### listVar

          public static final ComboBoxBase.PropertyKeys listVar

    - #### minChars

          public static final ComboBoxBase.PropertyKeys minChars

    - #### optionalIndicator

          public static final ComboBoxBase.PropertyKeys optionalIndicator

    - #### requiredIndicator

          public static final ComboBoxBase.PropertyKeys requiredIndicator

    - #### rows

          public static final ComboBoxBase.PropertyKeys rows

    - #### showEffect

          public static final ComboBoxBase.PropertyKeys showEffect

    - #### showEffectLength

          public static final ComboBoxBase.PropertyKeys showEffectLength

    - #### showListOnInput

          public static final ComboBoxBase.PropertyKeys showListOnInput

    - #### width

          public static final ComboBoxBase.PropertyKeys width

    - #### itemList

          public static final ComboBoxBase.PropertyKeys itemList

  - ### Method Detail

    - #### values

          public static ComboBoxBase.PropertyKeys[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComboBoxBase.PropertyKeys c : ComboBoxBase.PropertyKeys.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComboBoxBase.PropertyKeys valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ComboBoxBase.PropertyKeys>`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.